Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Interface ParameterInclude

All Known Subinterfaces:
  AxisObserver, ClusteringAgent, NodeManager, StateManager

All Known Implementing Classes:
  AxisBinding, AxisBindingMessage, AxisBindingOperation, AxisConfiguration, AxisDescription, AxisEndpoint, AxisMessage, AxisModule, AxisOperation, AxisService, AxisServiceGroup, HandlerDescription, InOnlyAxisOperation, InOutAxisOperation, ModuleConfiguration, OutInAxisOperation, OutOnlyAxisOperation, ParameterIncludeImpl, RobustOutOnlyAxisOperation, TransportInDescription, TransportOutDescription, TwoChannelAxisOperation

    public interface ParameterInclude

Interface ParameterInclude

Method Summary
`void` | `addParameter(Parameter param)` Method addParameter.
`void` | `deserializeParameters(org.apache.axiom.om.OMElement parameterElement)`
`Parameter` | `getParameter(String name)` Method getParameter.
`ArrayList<Parameter>` | `getParameters()` Gets all the parameters in a given description.
`boolean` | `isParameterLocked(String parameterName)` Checks whether the parameter is locked at any level.
`void` | `removeParameter(Parameter param)`

Method Detail

### addParameter

    void addParameter(Parameter param)
                      throws AxisFault

  Method addParameter.

  Parameters:
    `param` -
  Throws:
    `AxisFault`

### removeParameter

    void removeParameter(Parameter param)
                         throws AxisFault

  Throws:
    `AxisFault`

### deserializeParameters

    void deserializeParameters(org.apache.axiom.om.OMElement parameterElement)
                               throws AxisFault

  Throws:
    `AxisFault`

### getParameter

    Parameter getParameter(String name)

  Method getParameter.

  Parameters:
    `name` -
  Returns:
    Returns Parameter.

### getParameters

    ArrayList<Parameter> getParameters()

  Gets all the parameters in a given description.

  Returns:
    Returns ArrayList.

### isParameterLocked

    boolean isParameterLocked(String parameterName)

  Checks whether the parameter is locked at any level.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.